//region Imports
const bump = require('gulp-bump')
const cwd = require('cwd')
//endregion

export default function(gulp, opts) {

  function makeBumpTask(type) {
    return function() {
      return gulp.src(['./package.json'])
        .pipe(bump({type}))
        .pipe(gulp.dest('./'))
    }
  }

  gulp.task('bump:patch', makeBumpTask('patch'))
  gulp.task('bump:minor', makeBumpTask('minor'))
  gulp.task('bump:major', makeBumpTask('major'))
  gulp.task('bump', makeBumpTask('patch'))

}
