var babel = require('babel')
var babelator = require('./config')()
console.log({babelator})
var testsGlob = babelator.testsGlob
var srcGlob = babelator.srcGlob

module.exports = function(wallaby) {
  return {
    debug: true,
    files: [
      srcGlob,
      {pattern: testsGlob, ignore: true},
    ],
    tests: [
      testsGlob
    ],
    compilers: {
      '**/*.js': wallaby.compilers.babel({
        babel: babel,
        stage: 0
      })
    },
    testFramework: 'mocha',
    env: {
      type: 'node',
    }
  }
}
